Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IInvitation

All Known Subinterfaces:
  IAppointmentInvitation

public interface IInvitation

This class is a Domino invitation.

See Also:
  `NoticeTypeEnum.INVITATION`

Field Summary
`static Key` | `BROADCAST` Key that represents the notice type.
`static int` | `KEYID_BROADCAST` The `int` ID for the `BROADCAST` key.

Method Summary
`void` | `accept(java.lang.String sComment)` Hits the server and accepts the assignment.
`void` | `counter(java.util.Date startDate, java.util.Date dueDate, java.lang.String sComment)` Hits the server and counter proposes the assignment.
`void` | `decline(java.lang.String sComment, boolean bKeepInformed)` Hits the server and declines the assignment.
`void` | `delegate(java.lang.String sDelegee, java.lang.String sComment, boolean bKeepInformed)` Hits the server and delegates the assignment.
`boolean` | `isBroadcast()` Gets the broadcast flag.
`void` | `requestInfo(java.lang.String sComment)` Hits the server and request information about the assignment.

Field Detail

### KEYID_BROADCAST

    public static final int KEYID_BROADCAST

  The `int` ID for the `BROADCAST` key.

### BROADCAST

    public static final Key BROADCAST

  Key that represents the notice type.

Method Detail

### accept

    public void accept(java.lang.String sComment)
                throws CollaborationException

  Hits the server and accepts the assignment.
  Parameters:
    `sComment` - the comment or `null` for no comment
  See Also:
    `INotice.TOPIC`

### decline

    public void decline(java.lang.String sComment,
                        boolean bKeepInformed)
                 throws CollaborationException

  Hits the server and declines the assignment.
  Parameters:
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
  See Also:
    `INotice.TOPIC`

### delegate

    public void delegate(java.lang.String sDelegee,
                         java.lang.String sComment,
                         boolean bKeepInformed)
                  throws CollaborationException

  Hits the server and delegates the assignment. Delegation is not allowed on assignments that have the prevent delegate flag set.
  Parameters:
    `sDelegee` - the delegee name (must not be `null` or empty)
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
  See Also:
    `INotice.TOPIC`, `IDominoAppointment.PREVENT_DELEGATE`, `IDominoAppointment.getPreventDelegate()`

### counter

    public void counter(java.util.Date startDate,
                        java.util.Date dueDate,
                        java.lang.String sComment)
                 throws CollaborationException

  Hits the server and counter proposes the assignment. Counter proposals are not allowed on assignments that are repeating or have the prevent counter flag set.

  Note: the start date must be before the end date. If not, the dates are swapped.

  Parameters:
    `startDate` - the proposed start date (must not be `null`)
    `dueDate` - the proposed due date (must not be `null`)
    `sComment` - the comment or `null` for no comment
  See Also:
    `INotice.TOPIC`, `IDominoAppointment.PREVENT_COUNTER`, `IDominoAppointment.getPreventCounter()`, `ICalendarItem.isRecurring()`

### requestInfo

    public void requestInfo(java.lang.String sComment)
                     throws CollaborationException

  Hits the server and request information about the assignment.
  Parameters:
    `sComment` - the comment or `null` for no comment
  See Also:
    `INotice.TOPIC`

### isBroadcast

    public boolean isBroadcast()
                        throws CollaborationException

  Gets the broadcast flag. If this flag is set, you are not required to respond.
  Returns:
    `true` if this is a broadcast; `false` otherwise
  See Also:
    `BROADCAST`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.